Bug Hunting Session
Bug 118115 - Help page doesn't open from Signature Line dialog
Summary: Help page doesn't open from Signature Line dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6....
Keywords: bibisected, bisected
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2018-06-11 15:04 UTC by Timur
Modified: 2019-09-24 06:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-06-11 15:04:41 UTC
Signature Line dialog supposedly got help in Bug 115599. 
But clicking help in Writer -> Insert -> Signature Line dialog in 6.2+ doesn't invoke help page.
Comment 1 Dieter Praas 2018-06-11 15:46:13 UTC
I confirm this with

Version: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: en-US (de_DE); Calc: CL
Comment 2 Commit Notification 2018-06-12 07:06:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7b320d053840e707047969943e94370634cbe93a

tdf#118115 Fix bookmarks and ahelps on Signature Line pages
Comment 3 Commit Notification 2018-06-12 07:15:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7623916541246501c8c797ab9b6decece8ae230a&h=libreoffice-6-1

tdf#118115 Fix bookmarks and ahelps on Signature Line pages
Comment 4 Timur 2018-06-18 09:28:04 UTC
F1 works but mouse click not.
Comment 5 Xisco Faulí 2018-07-06 16:30:55 UTC
The help button was added in

https://cgit.freedesktop.org/libreoffice/core/commit/?id=026f6812c542c7814dd195c1b876fca68dadae8f

@Samuel, one for you ?
Comment 6 Xisco Faulí 2018-07-18 22:34:44 UTC
@Caolán, I thought you could be interested in this issue...
Comment 7 Commit Notification 2018-07-19 10:28:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0e8dbe92960abcc60a8b0461d8c459680197641

Resolves: tdf#118115 add missing help response id

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2018-07-19 10:36:38 UTC
backport to 6-1 in gerrit
Comment 9 Timur 2018-07-19 11:33:50 UTC
"Caolán appears to be an email alias that 3 developers are attached to."
I wonder which one fixed it :)
Comment 10 Commit Notification 2018-07-19 11:41:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=843a1dbbdbedaa58d5d24768b6a718aa9fb4a053&h=libreoffice-6-1

Resolves: tdf#118115 add missing help response id

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Dieter Praas 2019-09-24 06:32:34 UTC
VERIFIED with

Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded